Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.event
Class PersistencyEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.ibm.aglet.event.AgletEvent
                  |
                  +--com.ibm.aglet.event.PersistencyEvent

All Implemented Interfaces:
  java.io.Serializable

public class PersistencyEvent
extends AgletEvent

The persistency event

Version:
  1.00 $Date: 2001/07/28 06:34:10 $
Author:
  Mitsuru Oshima
See Also:
  Serialized Form

Field Summary
`static int` | `ACTIVATION` The ACTIVATION event type is delivered when the aglet is activated.
`static int` | `AGLET_PERSISTENCY_FIRST` Marks the first integer id for the range of persistency event ids.
`static int` | `AGLET_PERSISTENCY_LAST` Marks the last integer id for the range of persistency event ids.
`static int` | `DEACTIVATING` The DEACTIVATING event type is delivered when the aglet is deactivated.

Fields inherited from class com.ibm.aglet.event.AgletEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PersistencyEvent(int id, AgletProxy aglet, long duration)` Constructs a PersistencyEvent with the specified id, aglet proxy and duration.

Method Summary
`AgletProxy` | `getAgletProxy()` Returns the aglet proxy which is the source of the event.
`long` | `getDuration()` Gets the duration
`java.lang.String` | `toString()`

Methods inherited from class com.ibm.aglet.event.AgletEvent
`getID`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AGLET_PERSISTENCY_FIRST

    public static final int AGLET_PERSISTENCY_FIRST

  Marks the first integer id for the range of persistency event ids.

### AGLET_PERSISTENCY_LAST

    public static final int AGLET_PERSISTENCY_LAST

  Marks the last integer id for the range of persistency event ids.

### DEACTIVATING

    public static final int DEACTIVATING

  The DEACTIVATING event type is delivered when the aglet is deactivated.

### ACTIVATION

    public static final int ACTIVATION

  The ACTIVATION event type is delivered when the aglet is activated.

Constructor Detail

### PersistencyEvent

    public PersistencyEvent(int id,
                            AgletProxy aglet,
                            long duration)

  Constructs a PersistencyEvent with the specified id, aglet proxy and duration.

Method Detail

### getAgletProxy

    public AgletProxy getAgletProxy()

  Returns the aglet proxy which is the source of the event.

### getDuration

    public long getDuration()

  Gets the duration

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD